Package org.pgpainless.algorithm

# Enum Class DocumentSignatureType

java.lang.Object
java.lang.Enum<DocumentSignatureType>
org.pgpainless.algorithm.DocumentSignatureType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentSignatureType>`, `Constable`

public enum DocumentSignatureType extends Enum<DocumentSignatureType>
Subset of `SignatureType`, used for signatures over documents.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BINARY_DOCUMENT`
Signature is calculated over the unchanged binary data.
`CANONICAL_TEXT_DOCUMENT`
The signature is calculated over the text data with its line endings converted to

## Method Summary

Modifier and Type
Method
Description
`SignatureType`
`getSignatureType()`
`static DocumentSignatureType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentSignatureType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BINARY_DOCUMENT

public static final DocumentSignatureType BINARY_DOCUMENT
Signature is calculated over the unchanged binary data.

### CANONICAL_TEXT_DOCUMENT

public static final DocumentSignatureType CANONICAL_TEXT_DOCUMENT
The signature is calculated over the text data with its line endings converted to

         &lt;CR&gt;&lt;LF&gt;

.

## Method Details

### values

public static DocumentSignatureType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DocumentSignatureType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSignatureType

public SignatureType getSignatureType()